Skip to main content
GET
/
v1
/
customers
Retrieve a customer
curl --request GET \
  --url https://api.creem.io/v1/customers \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.creem.io/v1/customers"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.creem.io/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "object": "<string>",
  "email": "user@example.com",
  "country": "US",
  "created_at": "2023-01-01T00:00:00Z",
  "updated_at": "2023-01-01T00:00:00Z",
  "name": "John Doe",
  "metadata": {
    "key": "value"
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. You can find your API key in the Creem dashboard under Settings > API Keys.

Query Parameters

customer_id
string

The unique identifier of the customer.

Example:

"cust_1234567890"

email
string

The email address of the customer.

Example:

"customer@example.com"

Response

Successfully retrieved the customer

id
string
required

Unique identifier for the object.

mode
enum<string>
required

String representing the environment.

Available options:
test,
prod,
sandbox
object
string
required

String representing the object’s type. Objects of the same type share the same value.

email
string
required

Customer email address.

Example:

"user@example.com"

country
string | null
required

The ISO alpha-2 country code for the customer.

Pattern: ^[A-Z]{2}$
Example:

"US"

created_at
string<date-time>
required

Creation date of the customer

Example:

"2023-01-01T00:00:00Z"

updated_at
string<date-time>
required

Last updated date of the customer

Example:

"2023-01-01T00:00:00Z"

name
string | null

Customer name.

Example:

"John Doe"

metadata
object | null

Additional metadata associated with the customer.

Example:
{ "key": "value" }